local _, QUI = ...

local WorldMap, events = CreateFrame( "Frame","QUIWM", UIParent ), {};

function events:UNIT_COMBAT()
	WorldMapFrame:Hide()
end 


WorldMap:SetScript("OnEvent", function(self, event, ... ) events[event](self,...) end)
for k,v in pairs(events) do
	WorldMap:RegisterEvent(k)
end


function QUI:WorldMap( scale ) 
	local p, rt, rf, x, y  = nil
		
	QUI:SetMovable( WorldMapFrame )
	
	WorldMapFrame.BlackoutFrame.Blackout:Hide()
	WorldMapFrame:SetScale( scale /100)
		
	hooksecurefunc( "ToggleWorldMap", function( ) 
		if( p ~= nil ) then 
			WorldMapFrame:ClearAllPoints()
			WorldMapFrame:SetPoint(p, rt, rf, x, y )
		end
	end )
		
	WorldMapFrame:HookScript( "OnDragStop", 
		function ( ) p, rt, rf, x, y = WorldMapFrame:GetPoint(index) end )
	
	
	
	WorldMapFrame.ScrollContainer.GetCursorPosition = function(f)
		local x,y = MapCanvasScrollControllerMixin.GetCursorPosition(f);
		local s = WorldMapFrame:GetScale();
		return x/s, y/s;
	end	
end


